Subject: Re: [lojban] More on lojban programatic semantics: Strong typing and inferencing of types

From: Brook Conner <[email-masked]>
Date: Mon, 22 May 2000 19:37:48 -0400

la xorxes cusku di'e
> la lojbab cusku di'e
> 
> >The mekso grammar was specifically designed to allow such
> >overloading. Almost any grammatical construct can be converted into a
> >mekso component of some (probably appropriate) type.

Clearly, I need to re-read that section of the Red Book again.

> The converse is also true, of course. Any mekso can be converted
> into an ordinary grammatical construct, usually making
> much more clear what you're talking about.

Ehm. Perhaps in lojban, and perhaps to a non-mathematician, but that
seems like quite a broad assertion....

> The usefulness of
> mekso has not yet been demonstrated.

I've got no real data (or opinion) on this one.....

> >In particular, there is no requirement that mekso operate on
> >numbers. String operations like concatenation certainly can be
> >expressed using mathematical language.

> Yes, and mathematical language is not restricted or required
> to be in mekso either.

In terms of programming, I'd say both forms would have applications.
Some problems are mathematical in formulation, some are verbal, some are visual.

Hmmm, Back to the drawing board, I think.....

Brook